StatsHub Docs
APIEndpoint referenceProps

/props/player-stats-batch

POST
/api/props/player-stats-batch

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/props/player-stats-batch" \  -H "Content-Type: application/json" \  -d '{    "gamesCount": 0,    "requests": [      {        "market": "string",        "playerName": "string"      }    ]  }'
{  "activityInfo": {    "property1": {      "lastGameWithTeam": 0,      "startedLastGame": true    },    "property2": {      "lastGameWithTeam": 0,      "startedLastGame": true    }  },  "cached": 0,  "fetched": 0,  "stats": {    "property1": {      "avg_value": 0.1,      "games_count": 0,      "last_5_games": [        0.1      ]    },    "property2": {      "avg_value": 0.1,      "games_count": 0,      "last_5_games": [        0.1      ]    }  }}